## List Vectors `client.vectorize.indexes.listVectors(stringindexName, IndexListVectorsParamsparams, RequestOptionsoptions?): IndexListVectorsResponse | null` **get** `/accounts/{account_id}/vectorize/v2/indexes/{index_name}/list` Returns a paginated list of vector identifiers from the specified index. ### Parameters - `indexName: string` - `params: IndexListVectorsParams` - `account_id: string` Path param: Identifier - `count?: number` Query param: Maximum number of vectors to return - `cursor?: string` Query param: Cursor for pagination to get the next page of results ### Returns - `IndexListVectorsResponse` - `count: number` Number of vectors returned in this response - `isTruncated: boolean` Whether there are more vectors available beyond this response - `totalCount: number` Total number of vectors in the index - `vectors: Array` Array of vector items - `id: string` Identifier for a Vector - `cursorExpirationTimestamp?: string | null` When the cursor expires as an ISO8601 string - `nextCursor?: string | null` Cursor for the next page of results ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.vectorize.indexes.listVectors('example-index', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.count); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "count": 100, "isTruncated": true, "totalCount": 500, "vectors": [ { "id": "some-vector-id-023e105f4ecef8ad9ca31a8372d0c353" } ], "cursorExpirationTimestamp": "2025-08-12T20:32:52.469144957+00:00", "nextCursor": "suUTaDY5PFUiRweVccnzyt9n75suNPbXHPshvCzue5mHjtj7Letjvzlza9eGj099" }, "success": true } ```